curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/mail/provisioning' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": [
{
"address": "548 Market St",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"environment": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"success": true
}
Provisioning
Resumable setup operations in this workspace; no provider credentials
GET
/
v1
/
connections
/
mail
/
provisioning
curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/mail/provisioning' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": [
{
"address": "548 Market St",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"environment": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"success": true
}
Response
MailProvisioningResponse
MailProvisioningView[]
required
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Resumable setup operations in this workspace; no provider credentials |
Using this contract
Read the source OpenAPI document for declared schemas and alternatives. This page also includes documented corrections from the spec overlays. Example IDs and values are illustrative; replace them with records from your workspace.curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/mail/provisioning' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": [
{
"address": "548 Market St",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"environment": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"success": true
}
Last modified on October 20, 2026